{% extends 'base.html' %}

{% block main %}
<h2>SQLi</h2>


{% if sql %}
<hr />
<h4>Query executed:</h4>
<pre>{{ sql }}</pre>
{% endif %}

{% if error %}
<div class="toast toast-error">
    Invalid username and/or password.
</div>

{% endif %}

{% if login %}
<hr />
<h3>Secret page</h3>

<img style="display: block; margin: 0 auto;" src="/static/4425365_0.jpg" />
{% else %}
<form method="POST">
    <div class="form-group">
        <label class="form-label" for="username">Username</label>
        <input type="text" class="form-input" name="username" id="username" />
    </div>
    <div class="form-group">
        <label class="form-label" for="password">Password</label>
        <input type="text" class="form-input" name="password" id="password" />
        <em>The field's type is text but behaviour is exactly the same with type password</em>
    </div>
    <div class="form-group">
        <button class="btn" type="submit">Login</button>
    </div>
</form>
{% endif %}


{% endblock %}